MATLAB Answers

Fausto
0

Lego Mindstorm installation problem

Asked by Fausto
on 6 Apr 2012
I have had a problem installing the lego mindstorm package for simulink. The problem occurs when the GNUARM package is installing. It says that the file is corrupt. I have tried to install in different ways lego mindstorm plataform for MATLAB but I could not. Please help me.

  1 Comment

Fausto
on 6 Apr 2012
Hi Gautam,
I did what you told me. But the same error message appears. I think that the problem is in the GNU ARM compiler version. The automatic installation download the GNUARM version 4.0.2 but this one is corrupt it does not matter if I download and install manually or automatic. Please help me too modify the automatic installation in order to install the new GNUARM version 4.1.1 which does not have this problem.
I am so grateful for your help. If you could solve may problem I will be able to conclude my Robotics project necessry to get my engineer degree.
Sincerily,
Fausto Llerena

Sign in to comment.

1 Answer

Answer by Gautam Vallabha on 6 Apr 2012
 Accepted Answer

I assume you are referring to the Run on Target Hardware capability in R2012a.
Outside of MATLAB, can you manually download the GNU ARM compiler setup program and invoke it? If you get the same error message (that the file is corrupt), then it is possible that you have an antivirus or malware detection program that is interfering with the download. windows_programs/unable-to-install-most-programs-from-the- internet/3976f424-cdaa-4dd5-ab3c-b43976274eef See here for details
I suggest disabling any programs that may be running in the background and monitoring network and disk activity (antivirus, malware detection, disk checker, etc.) and re-running targetinstaller. If the problem persists, contact MathWorks technical support.
If disabling the antivirus works for you, please leave a note on this page or accept/vote for this answer (I'm trying to determine the effectiveness of the above approach).

  1 Comment

Fausto
on 6 Apr 2012
I tried to do it manually and it works but with a new version of the GNU ARM installer. I saw that the automatic installation download a old version of the GNUA ARM installer and that the problem is with this version. I have also my anti-virus disabled.

Sign in to comment.